<template>
    <v-container grid-list-xl>
        <v-layout column justify-center align-center>
            <v-flex>   
                <h1 class="Title">New movie :</h1> <br/>

                <h2 class="new"> Title :  </h2> <input class="form-add input" type="text" v-model="title" />

                <h2 class="new">Year : </h2> <input class="form-add input" type="text" v-model="year" /> 

                <h2 class="new">Image URL : </h2> <input class="form-add input" type="text" v-model="img" /> 

                <h2 class="new">Synopsys : </h2> <textarea class="form-add input"  v-model="synopsys"></textarea>

                    <h2 class="new"> Realisator :</h2>

                    <h2 class="new">  Firstname : </h2><input class="form-add input" v-model="realisator.firstname"/>  

                     <h2 class="new"> Lastname :</h2> <input class="form-add input" v-model="realisator.lastname"/>   

                     <h2 class="new"> Birth date :</h2> <input class="form-add input" v-model="realisator.birthdate"/>   

                     <h2 class="new"> Nationality :</h2> <input class="form-add input" v-model="realisator.nationality"/>   

                    <h2 class="new" >Type of the movie: </h2>

                      <h4 class="new" > Type :</h4> <textarea class="form-add input" v-model="type"></textarea> <button class="v-btn btn" v-on:click="addmovie">Add</button>  
            </v-flex>
        </v-layout>
    </v-container>
</template>

<script>
import { db } from "../firebase";
export default {
    data(){
        return{
            title: "",
            year: "",
            img:"",
            synopsys: "",
            display: false,
            type:"",
            realisator:{
                firstname:"",
                lastname:"",
                birthdate:"",
                nationality:""
            },
            note: {
                n1:0,
                n2:0,
                n3:0,
                n4:0,
                n5:0
            }
        }
    },
    methods:
    {
        addmovie: async function(){
            const ref = await db.collection('movies');
            this.movie_to_add = {
                title: this.title,
                img: this.img,
                year: this.year,
                synopsys: this.synopsys,
                display: this.display,
                type:this.type,
                realisator: this.realisator,
                note: this.note
            }
            ref.add(this.movie_to_add);
            this.movie_to_add = null
            return this.$router.push({name:'home'})
        }
    },
    created: function() {
        console.log("Created")
    },
}
</script>